package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.DynamicEvaluateRecordDTO;
import com.chelvc.cloud.vehicle.client.param.AddDynamicEvaluateRecordParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 内容评价(点赞/踩)列Service接口
 *
 * @author igl
 * @date 2023-02-25
 */
@FeignClient("vehicle")
public interface DynamicEvaluateRecordClient {

    /**
     * 修改内容评价(点赞/踩)列
     */
    @PostMapping("/dynamicEvaluateRecord/updateRecord")
    Boolean updateRecord(@RequestBody AddDynamicEvaluateRecordParam param, @RequestParam("userId") Long userId);

    @GetMapping("/dynamicEvaluateRecord/queryOperaterType")
    DynamicEvaluateRecordDTO queryOperaterType(@RequestParam("id") Long id, @RequestParam("userId") Long userId,
                                               @RequestParam("recordType") Integer recordType);
}
