package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 收益返回参数
 */
@Data
@SuperBuilder
@AllArgsConstructor
public class EarningsDTO implements Serializable {

    private static final long serialVersionUID = 2280477793188034996L;

    /**
     * 总收益
     */
    private BigDecimal totalAmount;

    /**
     * 周收益
     */
    private BigDecimal weekAmount;

    /**
     * 月收益
     */
    private BigDecimal monthAmount;

    /**
     * 可提现金额
     */
    private BigDecimal withdrawAmount;

    public EarningsDTO(){
        totalAmount = BigDecimal.ZERO;
        withdrawAmount = BigDecimal.ZERO;
        monthAmount  = BigDecimal.ZERO;
    }
}
