package com.chelvc.cloud.vehicle.client.param;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 意见反馈数据模型
 *
 * @author liude
 * @data 2023/1/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FeedBackModifyParam implements Serializable {
    /**
     * 标题
     */
    @NotEmpty(message = "标题不能为空")
    @Size(max = 255, message = "标题长度不能大于255")
    private String title;

    /**
     * 内容
     */
    @NotEmpty(message = "内容不能为空")
    @Size(max = 5000, message = "内容长度不能大于5000")
    private String content;

    /**
     * 类型
     */
    @NotEmpty(message = "类型不能为空")
    private String type;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 回复评价 1-非常满意 2-满意 3- 一般 4 -较为不满意 5- 很不满意
     */
    private String replyEvaluate;
    /**
     * 状态  1 - 待处理 2- 已处理 3- 已完结
     */
    private String status;
    /**
     * 渠道类型  0- 用户端 1-商家端
     */
    private String channel;
}
