package com.chelvc.cloud.vehicle.client.param;

import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单退货申请对象 oms_order_return_apply
 * 
 * @author liude
 * @date 2024-05-01
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OrderReturnApplyPagingParam implements Serializable
{
    private static final long serialVersionUID = 1L;

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /** 商户id */
    private Long merchantId;
}
