package com.chelvc.cloud.vehicle.server.controller;

import java.util.List;

import com.chelvc.cloud.vehicle.client.dto.IncomeRecordDTO;
import com.chelvc.cloud.vehicle.client.param.IncomeRecordModifyParam;
import com.chelvc.cloud.vehicle.server.service.IncomeRecordService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 收益记录接口
 *
 * @author liude
 * @data 2023/12/31
 */
@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class IncomeRecordController {

    private final IncomeRecordService incomeRecordService;

    /**
     * 新增收益记录
     *
     * @param param 新增参数
     * @return 收益记录主键
     */
    @PostMapping("/incomeRecord/addIncomeRecord")
    public Long addIncomeRecord(@RequestBody IncomeRecordModifyParam param) {
        return incomeRecordService.addIncomeRecord(param);
    }

    /**
     * 查询用户收益
     *
     * @return
     */
    @GetMapping("/incomeRecord/listIncomeRecord")
    public List<IncomeRecordDTO> listIncomeRecord() {
        return incomeRecordService.listIncomeRecord();
    }
}
