package com.chelvc.cloud.vehicle.server.copier;

import com.chelvc.cloud.vehicle.client.dto.CategoryDTO;
import com.chelvc.cloud.vehicle.client.dto.HelpCategoryDTO;
import com.chelvc.cloud.vehicle.client.param.CategoryModifyParam;
import com.chelvc.cloud.vehicle.client.param.HelpCategoryModifyParam;
import com.chelvc.cloud.vehicle.server.entity.Category;
import com.chelvc.cloud.vehicle.server.entity.HelpCategory;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

import java.util.Collection;
import java.util.List;

/**
 * 帮助分类信息拷贝接口
 *
 * @author liude
 * @date 2024/3/5
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface HelpCategoryCopier {
    /**
     * 对象拷贝接口实例
     */
    HelpCategoryCopier INSTANCE = Mappers.getMapper(HelpCategoryCopier.class);

    /**
     * 帮助分类信息拷贝
     *
     * @param helpCategory 帮助分类信息
     * @return 帮助分类信息
     */
    HelpCategoryDTO copying(HelpCategory helpCategory);

    /**
     * 帮助分类信息拷贝
     *
     * @param helpCategories 帮助分类信息集合
     * @return 帮助分类信息列表
     */
    List<HelpCategoryDTO> copying(Collection<HelpCategory> helpCategories);

    /**
     * 帮助分类信息拷贝
     *
     * @param param 帮助分类更新参数
     * @return 帮助分类信息
     */
    HelpCategory copying(HelpCategoryModifyParam param);

    /**
     * 帮助分类信息拷贝
     *
     * @param param    帮助分类更新参数
     * @param helpCategory 帮助分类信息
     */
    void copying(HelpCategoryModifyParam param, @MappingTarget HelpCategory helpCategory);
}
