package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.chelvc.cloud.vehicle.server.entity.GoodsAssess;
import org.apache.ibatis.annotations.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author valley
 * @date 2024/02/03 15:27
 **/
@Mapper
public interface GoodsAssessMapper extends BaseMapper<GoodsAssess> {
    @Select("select id from goods")
    List<Long> getAllGoodsIds();

    @Select("select avg(score) from goods_assess where goods_id = #{goodsId}")
    BigDecimal getAvgScore(Long goodsId);

    @Select("select IFNULL(avg(score),0)  from goods_assess where goods_id =  #{goodsId} AND create_time between DATE_SUB(now(), INTERVAL ${day} DAY) AND now()")
    BigDecimal getGoodsScore(@Param("day") Integer day, @Param("goodsId") Long goodsId);

    @Update("update goods set score = #{score} where id = #{goodsId}")
    void updateGoodsAvgScore(@Param("score") BigDecimal goodsAvgScore, @Param("goodsId") Long goodsId);

    @Delete("delete from assess_score")
    void clearScore();

    @Select("select score from goods where id = #{goodsId}")
    BigDecimal getGoodsAvgScore(Long goodsId);

    @Update("update order_item set comment_status = 'Y' where order_sn = #{orderId} and goods_id = #{goodsId}")
    void updatePersonalAssessStatus(@Param("orderId") Long orderId, @Param("goodsId") Long goodsId);
}
