package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.BalanceDetailDTO;
import com.chelvc.cloud.vehicle.client.param.QueryMerchantBalanceParam;
import com.chelvc.framework.common.model.Pagination;

import java.math.BigDecimal;

public interface BalanceDetailService {
    /**
     * 记录余额明细
     * @param orderId 订单id
     * @param type 类型：0-平台；1-用户；2-商户
     * @param userId 用户id
     * @param operateAmount 操作金额
     * @param surplusAmount 当前余额
     * @param flowType 流水类型：0-收入；1-支出
     * @param operateType 操作类型：1-订单收益；2-提现
     * @param sourceId 来源id
     */
    void recordFlow(Long orderId, Integer type,  Long userId, BigDecimal operateAmount, BigDecimal surplusAmount,
                    Integer flowType, Integer operateType, Long sourceId);

    Pagination<BalanceDetailDTO> queryByMerchantId(QueryMerchantBalanceParam param, Integer pageNum,
                                                   Integer pageSize, Integer type);
}
