package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.CommissionConfigDTO;
import com.chelvc.cloud.vehicle.client.param.CommissionConfigModifyParam;
import com.chelvc.cloud.vehicle.client.param.CommissionConfigPagingParam;
import com.chelvc.cloud.vehicle.server.entity.CommissionConfig;
import com.chelvc.framework.common.model.Pagination;

import java.util.List;

/**
 * 抽成业务操作接口
 *
 * @author liude
 * @date 2023/12/16
 */
public interface CommissionConfigService extends IService<CommissionConfig> {
    /**
     * 查询抽成比列
     * @return 抽成比例信息
     */
    CommissionConfig queryCommissionRate(Integer min);

    /**
     * 新增抽成配置
     *
     * @param param 新增参数
     * @return 抽成配置主键
     */
    Long addCommissionConfig(CommissionConfigModifyParam param);

    /**
     * 修改抽成配置
     *
     * @param id    抽成配置主键
     * @param param 修改参数
     */
    void updateCommissionConfig(Long id, CommissionConfigModifyParam param);

    /**
     * 查询抽成配置
     *
     * @param param 查询参数
     * @return 抽成配置分页信息
     */
    Pagination<CommissionConfigDTO> getCommissionConfigPaging(CommissionConfigPagingParam param);

    /**
     * 删除抽成配置
     *
     * @param id    抽成配置主键
     */
    void deleteCommissionConfig(Long id);

    /**
     * 分佣配置列表
     * @return
     */
    List<CommissionConfigDTO> listCommissionConfig();
}
