package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.client.dto.UserReceiveAddressDTO;
import com.chelvc.cloud.vehicle.client.param.UserReceiveAddressModifyParam;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * 用户常用地址Service接口
 *
 * @author liude
 * @date 2024-04-29
 */
public interface UserReceiveAddressService
{
    /**
     * 新增用户常用地址
     *
     * @param param 新增参数
     * @return 主键
     */
    Long add(UserReceiveAddressModifyParam param);

    /**
     * 修改用户常用地址
     *
     * @param id    主键
     * @param param 修改参数
     */
    Long update(Long id, UserReceiveAddressModifyParam param);

    /**
     * 查询用户常用地址列表
     *
     * @return 用户常用地址信息
     */
    List<UserReceiveAddressDTO> getList();

    /**
     * 删除用户常用地址列表
     * @param id
     */
    void delete(Long id);
}
